head 1.44;
access;
symbols
OPENPKG_E1_MP_HEAD:1.40
OPENPKG_E1_MP:1.40
OPENPKG_E1_MP_2_STABLE:1.39.2.2
OPENPKG_E1_FP:1.39.2.2
OPENPKG_2_STABLE_MP:1.39
OPENPKG_2_STABLE_20061018:1.39.2.2
OPENPKG_2_STABLE:1.39.0.2
OPENPKG_CW_FP:1.30
OPENPKG_1_STABLE_MP:1.21;
locks; strict;
comment @-- @;
1.44
date 2009.04.18.13.13.49; author rse; state Exp;
branches;
next 1.43;
commitid 4pHXU27WTIGCZuKt;
1.43
date 2008.01.01.15.01.36; author rse; state Exp;
branches;
next 1.42;
commitid B8esaHJHoduuKILs;
1.42
date 2007.04.18.21.46.16; author thl; state Exp;
branches;
next 1.41;
commitid WyQKNMwmoITBoBes;
1.41
date 2007.03.15.08.17.19; author rse; state Exp;
branches;
next 1.40;
commitid OdjnzLRHAVs41aas;
1.40
date 2007.01.01.17.40.39; author rse; state Exp;
branches;
next 1.39;
commitid BicZD6VUl7GuqP0s;
1.39
date 2006.10.13.17.31.44; author thl; state Exp;
branches
1.39.2.1;
next 1.38;
commitid q5GSxzsSDX29XxQr;
1.38
date 2006.08.25.19.18.14; author rse; state Exp;
branches;
next 1.37;
commitid Tvsj1UyQ8rQ89gKr;
1.37
date 2006.07.02.11.52.01; author thl; state Exp;
branches;
next 1.36;
commitid IWtmS6jaT2GUqhDr;
1.36
date 2006.03.17.20.00.31; author rse; state Exp;
branches;
next 1.35;
commitid 6pH3XXV7u6xJzzpr;
1.35
date 2006.01.01.13.18.50; author rse; state Exp;
branches;
next 1.34;
commitid otZG8yKMCw1JFTfr;
1.34
date 2005.11.21.08.41.21; author thl; state Exp;
branches;
next 1.33;
commitid 5CtxmBcebgtVxBar;
1.33
date 2005.03.24.17.59.46; author rse; state Exp;
branches;
next 1.32;
1.32
date 2005.03.24.11.41.07; author rse; state Exp;
branches;
next 1.31;
1.31
date 2005.03.24.11.19.53; author rse; state Exp;
branches;
next 1.30;
1.30
date 2005.01.01.10.53.24; author rse; state Exp;
branches;
next 1.29;
1.29
date 2004.12.09.10.10.48; author hms; state Exp;
branches;
next 1.28;
1.28
date 2004.06.08.12.41.26; author rse; state Exp;
branches;
next 1.27;
1.27
date 2004.02.05.22.31.14; author thl; state Exp;
branches;
next 1.26;
1.26
date 2004.02.03.20.04.55; author rse; state Exp;
branches;
next 1.25;
1.25
date 2004.01.23.13.12.15; author rse; state Exp;
branches;
next 1.24;
1.24
date 2003.11.17.21.57.39; author rse; state Exp;
branches;
next 1.23;
1.23
date 2003.11.13.12.08.25; author ms; state Exp;
branches;
next 1.22;
1.22
date 2003.09.18.16.45.40; author rse; state Exp;
branches;
next 1.21;
1.21
date 2003.07.23.13.32.09; author rse; state Exp;
branches;
next 1.20;
1.20
date 2003.07.22.12.33.00; author rse; state Exp;
branches;
next 1.19;
1.19
date 2003.07.22.08.10.58; author rse; state Exp;
branches;
next 1.18;
1.18
date 2003.07.19.17.06.14; author rse; state Exp;
branches;
next 1.17;
1.17
date 2003.07.17.15.33.02; author thl; state Exp;
branches;
next 1.16;
1.16
date 2003.07.15.10.15.59; author rse; state Exp;
branches;
next 1.15;
1.15
date 2003.07.10.07.50.50; author rse; state Exp;
branches;
next 1.14;
1.14
date 2003.07.09.14.06.20; author thl; state Exp;
branches;
next 1.13;
1.13
date 2003.07.08.14.41.32; author rse; state Exp;
branches;
next 1.12;
1.12
date 2003.06.04.09.32.47; author rse; state Exp;
branches;
next 1.11;
1.11
date 2003.01.31.12.26.11; author rse; state Exp;
branches;
next 1.10;
1.10
date 2003.01.08.15.58.41; author rse; state Exp;
branches;
next 1.9;
1.9
date 2003.01.03.10.53.55; author rse; state Exp;
branches;
next 1.8;
1.8
date 2002.12.30.22.05.49; author rse; state Exp;
branches;
next 1.7;
1.7
date 2002.12.30.21.06.04; author rse; state Exp;
branches;
next 1.6;
1.6
date 2002.12.20.19.32.38; author rse; state Exp;
branches;
next 1.5;
1.5
date 2002.11.01.08.22.30; author rse; state Exp;
branches;
next 1.4;
1.4
date 2002.08.21.13.33.12; author rse; state Exp;
branches;
next 1.3;
1.3
date 2002.08.13.12.49.16; author rse; state Exp;
branches;
next 1.2;
1.2
date 2002.08.10.10.28.55; author rse; state Exp;
branches;
next 1.1;
1.1
date 2002.07.19.10.16.31; author rse; state Exp;
branches;
next ;
1.39.2.1
date 2006.10.13.17.31.44; author rse; state dead;
branches;
next 1.39.2.2;
commitid iZxwRSmmWscPXUQr;
1.39.2.2
date 2006.10.16.14.54.04; author rse; state Exp;
branches;
next ;
commitid iZxwRSmmWscPXUQr;
desc
@@
1.44
log
@bump years in copyright messages
@
text
@##
## perforce.spec -- OpenPKG RPM Package Specification
## Copyright (c) 2000-2009 OpenPKG Foundation e.V.
##
## Permission to use, copy, modify, and distribute this software for
## any purpose with or without fee is hereby granted, provided that
## the above copyright notice and this permission notice appear in all
## copies.
##
## THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
## WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
## MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
## IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
## CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
## USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
## ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
## OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
## OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
## SUCH DAMAGE.
##
# package version
%define V_full 2006.2
%define V_dist r06.2
# package information
Name: perforce
Summary: The Perforce SCM System
URL: http://www.perforce.com/
Vendor: Perforce Software
Packager: OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class: EVAL
Group: SCM
License: Commercial
Version: %{V_full}
Release: 20080101
# list of sources
Source0: ftp://ftp.openpkg.org/sources/CPY/perforce/perforce-%{V_full}.tar.bz2
Source1: ftp://ftp.perforce.com/perforce/utils/c4/c4.tar.gz
Source2: http://www.perforce.com/perforce/doc.042/man/p4.1
Source3: http://www.perforce.com/perforce/doc.042/man/p4d.1
Source4: http://www.perforce.com/perforce/doc.042/manuals/p4guide/p4guide.pdf
Source5: http://www.perforce.com/perforce/doc.042/manuals/p4sag/p4sag.pdf
Source6: http://www.perforce.com/perforce/doc.042/manuals/cmdref/cmdref.pdf
Source7: http://www.perforce.com/perforce/doc.042/manuals/p4ftp/p4ftp.pdf
Source9: rc.perforce
# build information
Prefix: %{l_prefix}
BuildRoot: %{l_buildroot}
BuildPreReq: OpenPKG, openpkg >= 20060823
PreReq: OpenPKG, openpkg >= 20060823
AutoReq: no
AutoReqProv: no
%description
Perforce (P4) is a commercial (but freely available and usable
for Open Source projects) Software Configuration Management (SCM)
system. It is superior to Concurrent Versions System (CVS) and
even (with the help of an existing CVS to P4 repository conversion
tool) can operate on the RCS files of CVS. This is the unlicensed
demo version. It has full time-unlimited functionality, but is
restricted to 2 users. For a real license one has to contact
.
%track
prog perforce = {
version = %{V_dist}
url = ftp://ftp.perforce.com/perforce/
regex = (r0[2-9].\d)
}
%prep
%setup -q -c
%setup -q -T -D -a 1
%build
( cd c4-*
%{l_make} %{l_mflags} \
CC="%{l_cc}" CFLAGS="%{l_cflags -O}"
) || exit $?
%install
rm -rf $RPM_BUILD_ROOT
%{l_shtool} mkdir -f -p -m 755 \
$RPM_BUILD_ROOT%{l_prefix}/bin \
$RPM_BUILD_ROOT%{l_prefix}/sbin \
$RPM_BUILD_ROOT%{l_prefix}/man/man1 \
$RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
$RPM_BUILD_ROOT%{l_prefix}/libexec/perforce \
$RPM_BUILD_ROOT%{l_prefix}/share/perforce \
$RPM_BUILD_ROOT%{l_prefix}/var/perforce/p4d.depot
case "%{l_platform -t}" in
*686*-freebsd* ) subdir="bin.freebsd54x86" ;;
*686*-linux* ) subdir="bin.linux26x86" ;;
*sun*-sunos* ) subdir="bin.solaris8sparc" ;;
* ) echo "platform %{l_platform -t} not supported" 1>&2; exit 1 ;;
esac
( cd perforce-%{V_full}/$subdir
%{l_shtool} install -c -m 755 \
p4 $RPM_BUILD_ROOT%{l_prefix}/bin/
%{l_shtool} install -c -m 755 \
p4d p4web p4ftpd p4p $RPM_BUILD_ROOT%{l_prefix}/sbin/
%{l_shtool} install -c -m 644 \
%{SOURCE p4.1} %{SOURCE p4d.1} $RPM_BUILD_ROOT%{l_prefix}/man/man1/
%{l_shtool} install -c -m 644 \
%{SOURCE p4guide.pdf} %{SOURCE p4sag.pdf} \
%{SOURCE cmdref.pdf} %{SOURCE p4ftp.pdf} \
$RPM_BUILD_ROOT%{l_prefix}/share/perforce/
%{l_gzip} -d -c p4v.t* | %{l_tar} xf -
%{l_shtool} install -c -m 755 \
p4v $RPM_BUILD_ROOT%{l_prefix}/libexec/perforce/
( echo "#!/bin/sh"
echo "P4VRES=\"%{l_prefix}/share/perforce/P4VResources\""
echo "export P4VRES"
echo "exec %{l_prefix}/libexec/perforce/p4v \${1+\"\$@@\"}"
) >p4v.sh
%{l_shtool} install -c -m 755 \
p4v.sh $RPM_BUILD_ROOT%{l_prefix}/bin/p4v
cp -rp P4VResources \
$RPM_BUILD_ROOT%{l_prefix}/share/perforce/
) || exit $?
( cd c4-*
%{l_shtool} install -c -m 755 \
c4 $RPM_BUILD_ROOT%{l_prefix}/bin/
%{l_shtool} install -c -m 644 \
c4.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
) || exit $?
%{l_shtool} install -c -m 755 %{l_value -s -a} \
%{SOURCE rc.perforce} \
$RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
%{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
%{l_files_std} \
'%dir %attr(700,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/perforce' \
'%dir %attr(700,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/perforce/p4d.depot' \
'%doc %{l_prefix}/share/perforce/*.pdf'
%files -f files
%clean
rm -rf $RPM_BUILD_ROOT
%post
if [ ".$1" = .1 ]; then
$RPM_INSTALL_PREFIX/bin/openpkg rc perforce start
sleep 1
P4PORT=`$RPM_INSTALL_PREFIX/bin/openpkg rc -q perforce_port`
export P4PORT
( echo "Protections:"
echo " read user * * //..."
echo " write user * * //..."
echo " super user %{l_rusr} * //..."
) | su %{l_rusr} -c "$RPM_INSTALL_PREFIX/bin/p4 protect -i" >/dev/null 2>&1
$RPM_INSTALL_PREFIX/bin/openpkg rc perforce stop
fi
@
1.43
log
@Update package specifications according to OpenPKG year 2008 world order:
http://www.mail-archive.com/openpkg-announce@@openpkg.org/msg00221.html
@
text
@d3 1
a3 1
## Copyright (c) 2000-2008 OpenPKG Foundation e.V.
@
1.42
log
@get rid of direct /etc/rc call and replace them with openpkg
@
text
@d3 1
a3 2
## Copyright (c) 2000-2007 OpenPKG Foundation e.V.
## Copyright (c) 2000-2007 Ralf S. Engelschall
d39 1
a39 1
Release: 20070418
@
1.41
log
@upgrading package: perforce 2005.2 -> 2006.2
@
text
@d40 1
a40 1
Release: 20070315
d150 1
a150 1
$RPM_INSTALL_PREFIX/etc/rc perforce start
d152 1
a152 1
P4PORT=`$RPM_INSTALL_PREFIX/etc/rc -q perforce_port`
d159 1
a159 1
$RPM_INSTALL_PREFIX/etc/rc perforce stop
@
1.40
log
@Welcome Year 2007!
@
text
@d26 2
a27 2
%define V_full 2005.2
%define V_dist r06.1
d40 1
a40 1
Release: 20061013
d99 2
a100 2
*686*-freebsd* ) subdir="bin.freebsd4" ;;
*686*-linux* ) subdir="bin.linux24x86" ;;
@
1.39
log
@new world order for "Packager" and "Distribution" headers
@
text
@d3 2
a4 2
## Copyright (c) 2000-2006 OpenPKG Foundation e.V.
## Copyright (c) 2000-2006 Ralf S. Engelschall
@
1.39.2.1
log
@file perforce.spec was added on branch OPENPKG_2_STABLE on 2006-10-16 14:54:04 +0000
@
text
@d1 161
@
1.39.2.2
log
@Mass merge from CURRENT to 2-STABLE (all packages except those of JUNK class)
@
text
@a0 161
##
## perforce.spec -- OpenPKG RPM Package Specification
## Copyright (c) 2000-2006 OpenPKG Foundation e.V.
## Copyright (c) 2000-2006 Ralf S. Engelschall
##
## Permission to use, copy, modify, and distribute this software for
## any purpose with or without fee is hereby granted, provided that
## the above copyright notice and this permission notice appear in all
## copies.
##
## THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
## WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
## MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
## IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
## CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
## USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
## ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
## OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
## OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
## SUCH DAMAGE.
##
# package version
%define V_full 2005.2
%define V_dist r06.1
# package information
Name: perforce
Summary: The Perforce SCM System
URL: http://www.perforce.com/
Vendor: Perforce Software
Packager: OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class: EVAL
Group: SCM
License: Commercial
Version: %{V_full}
Release: 2.20061018
# list of sources
Source0: ftp://ftp.openpkg.org/sources/CPY/perforce/perforce-%{V_full}.tar.bz2
Source1: ftp://ftp.perforce.com/perforce/utils/c4/c4.tar.gz
Source2: http://www.perforce.com/perforce/doc.042/man/p4.1
Source3: http://www.perforce.com/perforce/doc.042/man/p4d.1
Source4: http://www.perforce.com/perforce/doc.042/manuals/p4guide/p4guide.pdf
Source5: http://www.perforce.com/perforce/doc.042/manuals/p4sag/p4sag.pdf
Source6: http://www.perforce.com/perforce/doc.042/manuals/cmdref/cmdref.pdf
Source7: http://www.perforce.com/perforce/doc.042/manuals/p4ftp/p4ftp.pdf
Source9: rc.perforce
# build information
Prefix: %{l_prefix}
BuildRoot: %{l_buildroot}
BuildPreReq: OpenPKG, openpkg >= 2.20061018
PreReq: OpenPKG, openpkg >= 2.20061018
AutoReq: no
AutoReqProv: no
%description
Perforce (P4) is a commercial (but freely available and usable
for Open Source projects) Software Configuration Management (SCM)
system. It is superior to Concurrent Versions System (CVS) and
even (with the help of an existing CVS to P4 repository conversion
tool) can operate on the RCS files of CVS. This is the unlicensed
demo version. It has full time-unlimited functionality, but is
restricted to 2 users. For a real license one has to contact
.
%track
prog perforce = {
version = %{V_dist}
url = ftp://ftp.perforce.com/perforce/
regex = (r0[2-9].\d)
}
%prep
%setup -q -c
%setup -q -T -D -a 1
%build
( cd c4-*
%{l_make} %{l_mflags} \
CC="%{l_cc}" CFLAGS="%{l_cflags -O}"
) || exit $?
%install
rm -rf $RPM_BUILD_ROOT
%{l_shtool} mkdir -f -p -m 755 \
$RPM_BUILD_ROOT%{l_prefix}/bin \
$RPM_BUILD_ROOT%{l_prefix}/sbin \
$RPM_BUILD_ROOT%{l_prefix}/man/man1 \
$RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
$RPM_BUILD_ROOT%{l_prefix}/libexec/perforce \
$RPM_BUILD_ROOT%{l_prefix}/share/perforce \
$RPM_BUILD_ROOT%{l_prefix}/var/perforce/p4d.depot
case "%{l_platform -t}" in
*686*-freebsd* ) subdir="bin.freebsd4" ;;
*686*-linux* ) subdir="bin.linux24x86" ;;
*sun*-sunos* ) subdir="bin.solaris8sparc" ;;
* ) echo "platform %{l_platform -t} not supported" 1>&2; exit 1 ;;
esac
( cd perforce-%{V_full}/$subdir
%{l_shtool} install -c -m 755 \
p4 $RPM_BUILD_ROOT%{l_prefix}/bin/
%{l_shtool} install -c -m 755 \
p4d p4web p4ftpd p4p $RPM_BUILD_ROOT%{l_prefix}/sbin/
%{l_shtool} install -c -m 644 \
%{SOURCE p4.1} %{SOURCE p4d.1} $RPM_BUILD_ROOT%{l_prefix}/man/man1/
%{l_shtool} install -c -m 644 \
%{SOURCE p4guide.pdf} %{SOURCE p4sag.pdf} \
%{SOURCE cmdref.pdf} %{SOURCE p4ftp.pdf} \
$RPM_BUILD_ROOT%{l_prefix}/share/perforce/
%{l_gzip} -d -c p4v.t* | %{l_tar} xf -
%{l_shtool} install -c -m 755 \
p4v $RPM_BUILD_ROOT%{l_prefix}/libexec/perforce/
( echo "#!/bin/sh"
echo "P4VRES=\"%{l_prefix}/share/perforce/P4VResources\""
echo "export P4VRES"
echo "exec %{l_prefix}/libexec/perforce/p4v \${1+\"\$@@\"}"
) >p4v.sh
%{l_shtool} install -c -m 755 \
p4v.sh $RPM_BUILD_ROOT%{l_prefix}/bin/p4v
cp -rp P4VResources \
$RPM_BUILD_ROOT%{l_prefix}/share/perforce/
) || exit $?
( cd c4-*
%{l_shtool} install -c -m 755 \
c4 $RPM_BUILD_ROOT%{l_prefix}/bin/
%{l_shtool} install -c -m 644 \
c4.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
) || exit $?
%{l_shtool} install -c -m 755 %{l_value -s -a} \
%{SOURCE rc.perforce} \
$RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
%{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
%{l_files_std} \
'%dir %attr(700,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/perforce' \
'%dir %attr(700,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/perforce/p4d.depot' \
'%doc %{l_prefix}/share/perforce/*.pdf'
%files -f files
%clean
rm -rf $RPM_BUILD_ROOT
%post
if [ ".$1" = .1 ]; then
$RPM_INSTALL_PREFIX/etc/rc perforce start
sleep 1
P4PORT=`$RPM_INSTALL_PREFIX/etc/rc -q perforce_port`
export P4PORT
( echo "Protections:"
echo " read user * * //..."
echo " write user * * //..."
echo " super user %{l_rusr} * //..."
) | su %{l_rusr} -c "$RPM_INSTALL_PREFIX/bin/p4 protect -i" >/dev/null 2>&1
$RPM_INSTALL_PREFIX/etc/rc perforce stop
fi
@
1.38
log
@replace '@@l_prefix@@/lib/openpkg/bash @@l_prefix@@/etc/rc' in shebang with '@@l_prefix@@/bin/openpkg rc' to allow people who run the rc.xxx scripts directly (as executables) to leverage from the Set-UID functionality
@
text
@d34 2
a35 2
Packager: OpenPKG
Distribution: OpenPKG
d40 1
a40 1
Release: 20060825
@
1.37
log
@modifying package: perforce-2005.2 20060317 -> 20060702
@
text
@d40 1
a40 1
Release: 20060702
d56 2
a57 2
BuildPreReq: OpenPKG, openpkg >= 20040130
PreReq: OpenPKG, openpkg >= 20040130
@
1.36
log
@upgrading package: perforce 2005.1 -> 2005.2
@
text
@d27 1
a27 1
%define V_dist r05.2
d40 1
a40 1
Release: 20060317
@
1.35
log
@adjust copyrights for new year 2006
@
text
@d26 1
a26 1
%define V_full 2005.1
d40 1
a40 1
Release: 20051121
@
1.34
log
@modifying package: perforce-2005.1 20050324 -> 20051121
@
text
@d3 2
a4 2
## Copyright (c) 2000-2005 OpenPKG Foundation e.V.
## Copyright (c) 2000-2005 Ralf S. Engelschall
@
1.33
log
@fix tracking
@
text
@d27 1
a27 1
%define V_dist r05.1
d40 1
a40 1
Release: 20050324
@
1.32
log
@upgrading package: perforce 2003.2 -> 2005.1
@
text
@d73 1
a73 1
version = %{version}
@
1.31
log
@Adjust the copyright declaration in this (RSE's) copy of the OpenPKG
source code now that the fork point for C&W was established (CVS tag
OPENPKG_CW_FP), the shared copyright agreement between RSE and C&W is
no longer active (as C&W no longer officially sponsors OpenPKG) and the
new shared copyright from RSE can be taken over by the newly established
juristic entity OpenPKG Foundation e.V. (instead of the non-juristic
entity OpenPKG Project).
@
text
@d26 2
a27 4
%define V_main_full 2003.2
%define V_main_dist r03.2
%define V_next_full 2004.1
%define V_next_dist r04.2
d39 2
a40 2
Version: %{V_main_full}
Release: 20041209
d43 8
a50 9
Source0: ftp://ftp.openpkg.org/sources/CPY/perforce/perforce-%{V_main_full}.tar.bz2
Source1: ftp://ftp.openpkg.org/sources/CPY/perforce/perforce-%{V_next_full}.tar.bz2
Source2: ftp://ftp.perforce.com/perforce/utils/c4/c4.tar.gz
Source3: http://www.perforce.com/perforce/doc.021/man/p4.1
Source4: http://www.perforce.com/perforce/doc.021/man/p4d.1
Source5: http://www.perforce.com/perforce/doc.021/manuals/p4guide/p4guide.pdf
Source6: http://www.perforce.com/perforce/doc.021/manuals/p4sag/p4sag.pdf
Source7: http://www.perforce.com/perforce/doc.021/manuals/cmdref/cmdref.pdf
Source8: http://www.perforce.com/perforce/doc.021/manuals/p4ftp/p4ftp.pdf
d73 1
a73 1
version = %{V_next_dist}
a80 1
%setup -q -T -D -a 2
d104 1
a104 1
( cd perforce-%{V_main_full}/$subdir
a114 2
) || exit $?
( cd perforce-%{V_next_full}/$subdir
d140 2
a141 1
'%dir %attr(700,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/perforce/p4d.depot'
@
1.30
log
@Happy New Year 2005
@
text
@d2 3
a4 4
## perforce.spec -- OpenPKG RPM Specification
## Copyright (c) 2000-2005 The OpenPKG Project
## Copyright (c) 2000-2005 Ralf S. Engelschall
## Copyright (c) 2000-2005 Cable & Wireless
d36 1
a36 1
Packager: The OpenPKG Project
@
1.29
log
@update from r04.1 to r04.2
@
text
@d3 3
a5 3
## Copyright (c) 2000-2004 The OpenPKG Project
## Copyright (c) 2000-2004 Ralf S. Engelschall
## Copyright (c) 2000-2004 Cable & Wireless
@
1.28
log
@cleanup packaging and add 2004.1 visual editor
@
text
@d30 1
a30 1
%define V_next_dist r04.1
d43 1
a43 1
Release: 20040608
@
1.27
log
@remove all numbers immediately following %setup/%patch to ease overriding of these macros and thus make version tracking working; also clean up option order; do not use setup/patch number when only one file exists but enforce patch number on multiple files
@
text
@d26 6
d42 2
a43 2
Version: 2003.2
Release: 20040205
d46 10
a55 10
Source0: ftp://ftp.openpkg.org/sources/DST/perforce/perforce-%{version}.tar.bz2
Source1: ftp://ftp.perforce.com/perforce/utils/c4/c4.tar.gz
Source2: http://www.perforce.com/perforce/doc.021/man/p4.1
Source3: http://www.perforce.com/perforce/doc.021/man/p4d.1
Source4: http://www.perforce.com/perforce/doc.021/manuals/p4guide/p4guide.pdf
Source5: http://www.perforce.com/perforce/doc.021/manuals/p4sag/p4sag.pdf
Source6: http://www.perforce.com/perforce/doc.021/manuals/cmdref/cmdref.pdf
Source7: http://www.perforce.com/perforce/doc.021/manuals/p4ftp/p4ftp.pdf
Source8: rc.perforce
%NoSource 0
d66 1
a66 1
Perforce (P4) is a commercial (but freely available and useable
d77 1
a77 1
version = r03.2
d85 1
d88 1
a88 1
( cd c4-1.6
a102 1
subdir="perforce-%{version}/bin"
d104 3
a106 3
*686*-freebsd* ) subdir="$subdir.freebsd4" ;;
*686*-linux* ) subdir="$subdir.linux24x86" ;;
*sun*-sunos* ) subdir="$subdir.solaris8sparc" ;;
d109 1
a109 1
( cd $subdir
d121 15
a135 1
( cd c4-1.6
@
1.26
log
@Mass-Commit:
- split "Distribution" header into "Distribution" (old) and "Class"
(new) headers by moving the attached class information.
- embed the vendor version tracking configuration through the
new "%track" section.
- bump up the OpenPKG bootstrap dependency, because the "Class" header
and "%track" section are only supported by our latest bootstrap version.
@
text
@d37 1
a37 1
Release: 20040203
d77 2
a78 2
%setup0 -q -c
%setup1 -q -T -D -a 1
@
1.25
log
@bump year in copyright messages to cover new year 2004. This is a CVS only commit -- no packages were rolled intentionally
@
text
@d32 2
a33 1
Distribution: OpenPKG [EVAL]
d37 1
a37 1
Release: 20031117
d54 2
a55 2
BuildPreReq: OpenPKG, openpkg >= 20031117
PreReq: OpenPKG, openpkg >= 20031117
d68 7
@
1.24
log
@remove obsolete %integrity macro
@
text
@d3 3
a5 3
## Copyright (c) 2000-2003 The OpenPKG Project
## Copyright (c) 2000-2003 Ralf S. Engelschall
## Copyright (c) 2000-2003 Cable & Wireless
@
1.23
log
@Upgrade to perforce-2003.2 and fix platform test
@
text
@d36 1
a36 1
Release: 20031113
d53 2
a54 2
BuildPreReq: OpenPKG, openpkg >= 20030909
PreReq: OpenPKG, openpkg >= 20030909
a68 1
%integrity
@
1.22
log
@convert to new %{l_platform} world order
@
text
@d35 2
a36 2
Version: 2003.1
Release: 20030918
d91 3
a93 3
*-freebsd* ) subdir="$subdir.freebsd4" ;;
*-linux* ) subdir="$subdir.linux22x86" ;;
*-sunos* ) subdir="$subdir.solaris26sparc" ;;
@
1.21
log
@achieve robust subshell handling by consistently using '(...) || exit 0' constructs to make sure the scripts fail if a subshell fails
@
text
@d36 1
a36 1
Release: 20030723
d53 2
a54 2
BuildPreReq: OpenPKG, openpkg >= 20030718
PreReq: OpenPKG, openpkg >= 20030718
d90 1
a90 1
case "%{l_target}" in
d93 2
a94 2
*-solaris* ) subdir="$subdir.solaris26sparc" ;;
* ) echo "platform %{l_target} not supported" 1>&2; exit 1 ;;
@
1.20
log
@speclint police: gated tarball no longer available, but speclint wants an URL, so use local FTP location
@
text
@d36 1
a36 1
Release: 20030722
d77 1
a77 1
)
d107 1
a107 1
)
d113 1
a113 1
)
@
1.19
log
@cleanup the priority: move 200 to 500 and because 500 is default just ommit it; fix DNS/NTP/etc. dependencies
@
text
@d39 1
a39 1
Source0: perforce-%{version}.tar.bz2
@
1.18
log
@replace opXXXX with rcXXXX (PR#207)
@
text
@d36 1
a36 1
Release: 20030719
@
1.17
log
@fix PR#204, use new %{l_value -s ...}
@
text
@d36 1
a36 1
Release: 20030717
d53 2
a54 2
BuildPreReq: OpenPKG, openpkg >= 20030717
PreReq: OpenPKG, openpkg >= 20030717
@
1.16
log
@one more missing substitution which slipped through
@
text
@d36 1
a36 1
Release: 20030715
d53 2
a54 2
BuildPreReq: OpenPKG, openpkg >= 20030710
PreReq: OpenPKG, openpkg >= 20030710
d114 1
a114 5
%{l_shtool} install -c -m 755 \
-e 's;@@l_prefix@@;%{l_prefix};g' \
-e 's;@@l_susr@@;%{l_susr};g' \
-e 's;@@l_rusr@@;%{l_rusr};g' \
-e 's;@@l_rgrp@@;%{l_rgrp};g' \
@
1.15
log
@use new openpkg_rc_def variable in run-command scripts for allowing the admin to change the global default for xxx_enable
@
text
@d36 1
a36 1
Release: 20030710
d116 1
@
1.14
log
@rclint police: fix badly prefixed variable, opServiceEnabled, exit not allowed here
@
text
@d36 1
a36 1
Release: 20030709
d53 2
a54 2
BuildPreReq: OpenPKG, openpkg >= 20030108
PreReq: OpenPKG, openpkg >= 20030108
@
1.13
log
@cleanup copyright part by using just the main company name of Cable & Wireless and adding the URL to the global website
@
text
@d36 1
a36 1
Release: 20030604
@
1.12
log
@upgrading package: perforce 2002.2 -> 2003.1
@
text
@a2 1
## Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
d5 1
@
1.11
log
@fix disclaimer text
@
text
@d35 2
a36 2
Version: 2002.2
Release: 20030108
d91 3
a93 3
*-freebsd* ) subdir="$subdir.freebsd4" ;;
*-linux* ) subdir="$subdir.linux22x86" ;;
*-solaris* ) subdir="$subdir.solaris26" ;;
@
1.10
log
@switch to no-source level
@
text
@d12 1
a12 1
## THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
@
1.9
log
@remove '%options' hack, it will be replaced soon with a more elegant solution based on RPM 'Provides' headers
@
text
@d32 1
a32 1
Distribution: OpenPKG [PRIV]
d36 1
a36 1
Release: 20021101
d48 1
d53 2
a54 2
BuildPreReq: OpenPKG, openpkg >= 20020206
PreReq: OpenPKG, openpkg >= 20020206
d69 1
@
1.8
log
@bump of Copyright messages for forthcoming years 2003
@
text
@a66 2
%options
@
1.7
log
@switch to %option(s), but intentionally WITHOUT dep increase and WITHOUT FTP server updates
@
text
@d3 3
a5 3
## Copyright (c) 2000-2002 Cable & Wireless Deutschland GmbH
## Copyright (c) 2000-2002 The OpenPKG Project
## Copyright (c) 2000-2002 Ralf S. Engelschall
@
1.6
log
@consistently use 'Options: none' to indicate no options to 'openpkg build'
@
text
@d67 1
a67 1
Options: none
@
1.5
log
@upgrading package: perforce 2002.1 -> 2002.2
@
text
@d67 2
@
1.4
log
@down to PRIV
@
text
@d35 2
a36 2
Version: 2002.1
Release: 20020821
d87 1
a87 1
subdir="perforce-2002.1/bin"
d98 1
a98 1
p4d p4web p4ftpd $RPM_BUILD_ROOT%{l_prefix}/sbin/
@
1.3
log
@Woohhooo: apply the new package classification system.
(CORE, BASE, PLUS, PRIV, EVAL, JUNK). A description of
them follows on the website soon.
@
text
@d32 1
a32 1
Distribution: OpenPKG [EVAL]
d36 1
a36 1
Release: 20020810
@
1.2
log
@fix packaging
@
text
@d32 1
a32 1
Distribution: OpenPKG [EXP]
@
1.1
log
@new package: perforce 2002.1 (The Perforce SCM System)
@
text
@d36 1
a36 1
Release: 20020719
d47 1
d110 1
a110 1
c4-1.6/c4.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
@